﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace ComboBox_Style
{
    class ComboboxItemOddEvenStyleSelector : StyleSelector
    {
        public ComboboxItemOddEvenStyleSelector()
        {
        }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            RadComboBoxItem cbi = container as RadComboBoxItem;
            RadComboBox cb = cbi.ParentOfType<RadComboBox>();
            if (cb != null)
            {
                Style oddStyle = cb.Resources["OddStyle"] as Style;
                Style evenStyle = cb.Resources["EvenStyle"] as Style;

                if ((cb.ItemsSource as ObservableCollection<City>).IndexOf(item as City) % 2 == 0)
                {
                    return oddStyle;
                }
                else
                {
                    return evenStyle;
                }
            }
            return base.SelectStyle(item, container);
        }
    }
}
